Throwables.FileOpType (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.utils

## Enum Throwables.FileOpType

- java.lang.Object
- - java.lang.Enum<Throwables.FileOpType>
  - - org.apache.cassandra.utils.Throwables.FileOpType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Throwables.FileOpType>
  Enclosing class:
    Throwables

      public static enum Throwables.FileOpType
      extends java.lang.Enum<Throwables.FileOpType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `READ`
    `WRITE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Throwables.FileOpType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Throwables.FileOpType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### READ

          public static final Throwables.FileOpType READ

    - #### WRITE

          public static final Throwables.FileOpType WRITE

  - ### Method Detail

    - #### values

          public static Throwables.FileOpType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Throwables.FileOpType c : Throwables.FileOpType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Throwables.FileOpType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation